Inhoud

# Functie Hex

Geeft een tekenreeks terug die de hexadecimale waarde van een getal voorstelt.

## Syntaxis:

    Hex (Getal)

## Teruggegeven waarde:

String

## Parameters:

Getal: Een numerieke expressie die moet worden geconverteerd naar een hexadecimaal getal.

### Foutcodes:

5 Ongeldige aanroep van procedure

## Voorbeeld:

    Sub ExampleHex
    ' gebruikt Basic formules in LibreOffice Calc
    Dim a2, b2, c2 As String
        a2 = "&H3E8"
        b2 = Hex2Lng(a2)
        MsgBox b2
        c2 = Lng2Hex(b2)
        MsgBox c2
    End Sub

    Function Hex2Lng(sHex As String) As Long
    'Retourneert een 32-bits geheel getal van een 8-cijferige hexadecimale waarde.
        Hex2Lng = clng( sHex )
    End Function

    Function Lng2Hex(iLong As Long) As String
    ' Berekent de 8-cijferige hexadecimale waarde uit een 32-bits geheel getal.
        Lng2Hex = "&H" & Hex( iLong )
    End Function